# pqxx::result::const_fielditerator Class Reference

`#include <result.hxx>`

Inheritance diagram for pqxx::result::const_fielditerator:

[legend]
List of all members.

## Arithmetic operators

const_fielditerator | operator+ (difference_type) const
const_fielditerator | operator- (difference_type) const
difference_type | operator- (const_fielditerator) const
const_fielditerator | operator+ (difference_type, const_fielditerator)

## Public Types

typedef tuple::size_type | size_type
typedef tuple::difference_type | difference_type
typedef field | reference

## Public Member Functions

| const_fielditerator (const tuple &T, tuple::size_type C) throw ()
| const_fielditerator (const field &F) throw ()
Dereferencing operators
pointer | operator-> () const
reference | operator * () const
Manipulations
const_fielditerator | operator++ (int)
const_fielditerator & | operator++ ()
const_fielditerator | operator-- (int)
const_fielditerator & | operator-- ()
const_fielditerator & | operator+= (difference_type i)
const_fielditerator & | operator-= (difference_type i)
Comparisons
bool | operator== (const const_fielditerator &i) const
bool | operator!= (const const_fielditerator &i) const
bool | operator< (const const_fielditerator &i) const
bool | operator<= (const const_fielditerator &i) const
bool | operator> (const const_fielditerator &i) const
bool | operator>= (const const_fielditerator &i) const

## Member Typedef Documentation

typedef tuple::size_type pqxx::result::const_fielditerator::size_type

Reimplemented from pqxx::result::field.

typedef tuple::difference_type pqxx::result::const_fielditerator::difference_type

typedef field pqxx::result::const_fielditerator::reference

## Constructor & Destructor Documentation

pqxx::result::const_fielditerator::const_fielditerator | ( | const tuple & | T,
|  | tuple::size_type | C |
| ) |  |  | throw ()

pqxx::result::const_fielditerator::const_fielditerator | ( | const field & | F | ) | throw ()

## Member Function Documentation

pointer pqxx::result::const_fielditerator::operator-> | ( |  | ) | const

reference pqxx::result::const_fielditerator::operator * | ( |  | ) | const

pqxx::result::const_fielditerator pqxx::result::const_fielditerator::operator++ | ( | int |  | ) |

Reimplemented in pqxx::result::const_reverse_fielditerator.

const_fielditerator& pqxx::result::const_fielditerator::operator++ | ( |  | ) |

Reimplemented in pqxx::result::const_reverse_fielditerator.

pqxx::result::const_fielditerator pqxx::result::const_fielditerator::operator-- | ( | int |  | ) |

Reimplemented in pqxx::result::const_reverse_fielditerator.

const_fielditerator& pqxx::result::const_fielditerator::operator-- | ( |  | ) |

Reimplemented in pqxx::result::const_reverse_fielditerator.

const_fielditerator& pqxx::result::const_fielditerator::operator+= | ( | difference_type | i | ) |

Reimplemented in pqxx::result::const_reverse_fielditerator.

const_fielditerator& pqxx::result::const_fielditerator::operator-= | ( | difference_type | i | ) |

Reimplemented in pqxx::result::const_reverse_fielditerator.

bool pqxx::result::const_fielditerator::operator== | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator!= | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator< | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator<= | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator> | ( | const const_fielditerator & | i | ) | const

bool pqxx::result::const_fielditerator::operator>= | ( | const const_fielditerator & | i | ) | const

result::const_fielditerator pqxx::result::const_fielditerator::operator+ | ( | difference_type |  | ) | const

Reimplemented in pqxx::result::const_reverse_fielditerator.

result::const_fielditerator pqxx::result::const_fielditerator::operator- | ( | difference_type |  | ) | const

result::const_fielditerator::difference_type pqxx::result::const_fielditerator::operator- | ( | const_fielditerator |  | ) | const

## Friends And Related Function Documentation

const_fielditerator operator+ | ( | difference_type | o,
|  | result::const_fielditerator | i |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following files:

- result.hxx
- result.cxx